<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:template match="/">
    <html>
      <head>
        <title>Lista de la compra</title>
        <meta charset="UTF-8" />
        <link rel="stylesheet" type="text/css" href="compra.css" />
      </head>
      <body>
        <h1>
          <xsl:value-of select="compra/lugar" />
        </h1>
        <h2>
          <xsl:value-of select="compra/fecha" />
        </h2>
        <table>
          <tr>
            <th>Nombre</th>
            <th>Unidades</th>
            <th>Precio</th>
            <th>Coste</th>
          </tr>
          <xsl:for-each select="compra/productos/producto">
            <xsl:sort select="nombre" />
            <tr>
              <td>
                <xsl:value-of select="nombre" />
              </td>
              <td>
                <xsl:value-of select="unidades" />
              </td>
              <td>
                <xsl:value-of select="precio" /> €
              </td>
              <td>
                <xsl:variable name="coste" select="unidades * precio" />
                <xsl:value-of select="$coste" /> €
              </td>
            </tr>
          </xsl:for-each>
        </table>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>